Last modified: 2013-04-22 16:15:28 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18277 - Message Abusefilter-diff-version needs date/time separated, and GENDER support
Message Abusefilter-diff-version needs date/time separated, and GENDER support
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
AbuseFilter (Other open bugs)
unspecified
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Amir E. Aharoni
: i18n
Depends on:
Blocks: 24620 gender messages
  Show dependency treegraph
 
Reported: 2009-03-31 09:40 UTC by Purodha Blissenbach
Modified: 2013-04-22 16:15 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2009-03-31 09:40:59 UTC
Message Abusefilter-diff-version needs date/time separated,
since internationalization would otherwise be impossible.
Sentences of some languages have to have grammatical stuff put
between date, and time, or between time, and date, respectively,
as to form correct sentences or fragments.

Since users have grammatical genders now, the unaltered user name
must be passed as a parameter to the message, in order to be used
in the GENDER construct for languages having gender aware grammars.
Comment 1 Siebrand Mazeland 2009-04-24 22:16:26 UTC
+i18n
Comment 2 Andrew Garrett 2009-07-03 12:55:55 UTC
Added GENDER support in r52735.
Comment 3 Niklas Laxström 2009-07-03 13:32:19 UTC
(In reply to comment #2)
> Added GENDER support in r52735.

I don't think replaceafter and parser functions work together.
Comment 4 Andrew Garrett 2009-07-03 13:33:36 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Added GENDER support in r52735.
> 
> I don't think replaceafter and parser functions work together.
> 

Ugh.
Comment 5 Andrew Garrett 2009-07-16 17:07:56 UTC
(batch change)

Minor bugs that nevertheless need looking into
Comment 6 Amir E. Aharoni 2012-10-23 16:20:27 UTC
If I understand correctly, the raw username is already passed in the current version:

$headings .= Xml::tags( 'th', null,
	$this->msg( 'abusefilter-diff-version' )
		->rawParams( $oldLink, $oldUserLink )
		->params( $newVersion['meta']['modified_by_text'],  )
		->parse()
);

And rawParams and params solve the problem from Comment 3.
Comment 7 Niklas Laxström 2012-10-23 20:51:37 UTC
Param $3 is not used in the source language or documented as far as I can see.
Comment 8 Amir E. Aharoni 2012-10-24 13:02:24 UTC
Polished the GENDER support in https://gerrit.wikimedia.org/r/#/c/29776/ .
Comment 9 Siebrand Mazeland 2012-10-24 14:01:00 UTC
(In reply to comment #8)
> Polished the GENDER support in https://gerrit.wikimedia.org/r/#/c/29776/ .

Merged. Thanks.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links